UUIDD(8)

NAZWA
uuidd - demon generujący UUID-y

SKŁADNIA

uuidd [opcje]

OPIS

Demon uuidd jest używany przez bibliotekę UUID do tworzenia uniwersalnie unikalnych identyfikatorów (UUID-ów), w szczególności UUID-ów tworzonych na podstawie czasu, w bezpieczny i gwarantujący unikalność sposób, nawet w przypadku występowania wielu wątków działających na różnych procesorach, które starają się pozyskać UUID.

OPCJE

-C, --cont-clock[=number[hd]]
    Activate continuous clock handling for time-based UUIDs. uuidd could use all possible clock values, beginning with the daemon’s start time. The optional argument can be used to set a value for 'max_clock_offset'. This guarantees that a clock value of a UUID will always be within the range of 'max_clock_offset'.

    The option -C or --cont-clock (without an argument) enables the feature with a default 'max_clock_offset' of 2 hours.

    The option -Cnumber or --cont-clock=number enables the feature with a 'max_clock_offset' of number seconds. In case of an appended h or d, number is understood in hours or days. The minimum value is 60 seconds, the maximum value is 365 days.

-d, --debug
    Uruchamia uuidd w trybie debugowania. Zapobiega działaniu uuidd jako demon.

-F, --no-fork
    Nie tworzy demona przez podwójne wykonanie fork.

-k, --kill
    Jeśli działa obecnie demon uuidd, zabija go.

-n, --uuids liczba
    Przy wysyłaniu żądania testowego do działającego *uuidd, żąda łącznego zbioru liczby odpowiedzi.

-P, --no-pid
    Nie tworzy pliku pid.

-p, --pid ścieżka
    Określa ścieżkę, gdzie powinien być zapisany plik pid. Domyślnie, plik pid jest zapisywany do {runstatedir}/uuidd/uuidd.pid.

-q, --quiet
    Powstrzymuje wyświetlanie pewnych komunikatów o niepowodzeniu.

-r, --random
    Testuje uuidd próbując połączyć się do działającego demona uuidd i żądając zwrócenia przez niego UUID-u tworzonego na podstawie losowości.

-S, --socket-activation
    Nie tworzy gniazda, lecz oczekuje zapewnienia go przez wywołujący proces. Wymusza --no-fork i --no-pid. Opcję zaprojektowano do korzystania tylko z systemd(1). Musi być włączona w konfiguracji.

-s, --socket ścieżka
    Powoduje, że uuidd użyje danej ścieżki jako gniazda domeny Uniksa. Domyślnie, używana jest ścieżka {runstatedir}/uuidd/request. Opcja ta jest przeznaczona głównie do debugowania, ponieważ ścieżka jest ustalona na stałe w bibliotece libuuid.

-T, --timeout liczba
    Powoduje, że uuidd wyjdzie po liczbie sekund nieaktywności.

-t, --time
    Testuje uuidd próbując połączyć się do działającego demona uuidd i żądając zwrócenia przez niego UUID-u tworzonego na podstawie czasu.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PRZYKŁAD

Uruchamia demona, wypisuje 42 losowe klucze, a następnie zatrzymuje demona:

    uuidd -p /tmp/uuidd.pid -s /tmp/uuidd.socket
    uuidd -d -r -n 42 -s /tmp/uuidd.socket
    uuidd -d -k -s /tmp/uuidd.socket

AUTOR

Demon uuidd został napisany przez

ZOBACZ TAKŻE

uuid(3), uuidgen(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie uuidd jest częścią pakietu util-linux, który można pobrać ze strony